Index: trunk/doc/Flair/navtreeindex2.js
===================================================================
--- trunk/doc/Flair/navtreeindex2.js	(revision 26)
+++ trunk/doc/Flair/navtreeindex2.js	(revision 27)
@@ -238,16 +250,4 @@
 "classflair_1_1core_1_1cvmatrix.html#a66f244158d65f5cbfe4fd3cbb2452fa9":[1,0,0,1,4,13],
 "classflair_1_1core_1_1cvmatrix.html#a86646b6cf63734fc417414031374819d":[1,0,0,1,4,10],
-"classflair_1_1core_1_1cvmatrix.html#a976f776e24a0aca8b4231ee821565b17":[1,0,0,1,4,14],
-"classflair_1_1core_1_1cvmatrix.html#aa08e4d9c913df9c4be093b8b83705e2a":[1,0,0,1,4,8],
-"classflair_1_1core_1_1cvmatrix.html#aa3a8b1722e62c8929a6533ec4afb9f2e":[1,0,0,1,4,4],
-"classflair_1_1core_1_1cvmatrix.html#accb5a54d77c4e1bdd3604087088bc2f0":[1,0,0,1,4,11],
-"classflair_1_1core_1_1cvmatrix.html#ad88bdfce269471f3e39cf8dce9a682be":[1,0,0,1,4,9],
-"classflair_1_1core_1_1cvmatrix.html#adfd2ab692ce77583a1c6983aa50e6645":[1,0,0,1,4,3],
-"classflair_1_1core_1_1cvmatrix.html#ae19ee71a4ac6a6e491417759fc8d4e9e":[1,0,0,1,4,7],
-"classflair_1_1core_1_1cvmatrix_1_1_type.html":[1,0,0,1,4,0],
-"classflair_1_1core_1_1cvmatrix_1_1_type.html#a149a2c419752d4d0c52c24cf3ca9cf17":[1,0,0,1,4,0,1],
-"classflair_1_1core_1_1cvmatrix_1_1_type.html#a4e0aea5957c0e84ed335cd6b3c29d63f":[1,0,0,1,4,0,5],
-"classflair_1_1core_1_1cvmatrix_1_1_type.html#a5f449ca0b2bd56cb8e466bdb4993ef62":[1,0,0,1,4,0,0],
-"classflair_1_1core_1_1cvmatrix_1_1_type.html#a9a9edf1320904b2708f6e01b2f86751b":[1,0,0,1,4,0,4],
-"classflair_1_1core_1_1cvmatrix_1_1_type.html#ab90311fe0dab73ae67fc5043762b7eee":[1,0,0,1,4,0,2]
+"classflair_1_1core_1_1cvmatrix.html#a976f776e24a0aca8b4231ee821565b17":[1,0,0,1,4,14]
 };
Index: trunk/doc/Flair/navtreeindex3.js
===================================================================
--- trunk/doc/Flair/navtreeindex3.js	(revision 26)
+++ trunk/doc/Flair/navtreeindex3.js	(revision 27)
@@ -1,4 +1,16 @@
 var NAVTREEINDEX3 =
 {
+"classflair_1_1core_1_1cvmatrix.html#aa08e4d9c913df9c4be093b8b83705e2a":[1,0,0,1,4,8],
+"classflair_1_1core_1_1cvmatrix.html#aa3a8b1722e62c8929a6533ec4afb9f2e":[1,0,0,1,4,4],
+"classflair_1_1core_1_1cvmatrix.html#accb5a54d77c4e1bdd3604087088bc2f0":[1,0,0,1,4,11],
+"classflair_1_1core_1_1cvmatrix.html#ad88bdfce269471f3e39cf8dce9a682be":[1,0,0,1,4,9],
+"classflair_1_1core_1_1cvmatrix.html#adfd2ab692ce77583a1c6983aa50e6645":[1,0,0,1,4,3],
+"classflair_1_1core_1_1cvmatrix.html#ae19ee71a4ac6a6e491417759fc8d4e9e":[1,0,0,1,4,7],
+"classflair_1_1core_1_1cvmatrix_1_1_type.html":[1,0,0,1,4,0],
+"classflair_1_1core_1_1cvmatrix_1_1_type.html#a149a2c419752d4d0c52c24cf3ca9cf17":[1,0,0,1,4,0,1],
+"classflair_1_1core_1_1cvmatrix_1_1_type.html#a4e0aea5957c0e84ed335cd6b3c29d63f":[1,0,0,1,4,0,5],
+"classflair_1_1core_1_1cvmatrix_1_1_type.html#a5f449ca0b2bd56cb8e466bdb4993ef62":[1,0,0,1,4,0,0],
+"classflair_1_1core_1_1cvmatrix_1_1_type.html#a9a9edf1320904b2708f6e01b2f86751b":[1,0,0,1,4,0,4],
+"classflair_1_1core_1_1cvmatrix_1_1_type.html#ab90311fe0dab73ae67fc5043762b7eee":[1,0,0,1,4,0,2],
 "classflair_1_1core_1_1cvmatrix_1_1_type.html#acc31fd9031af918e3a94d04e0cd7c439":[1,0,0,1,4,0,3],
 "classflair_1_1core_1_1cvmatrix__descriptor.html":[1,0,0,1,5],
@@ -9,17 +21,17 @@
 "classflair_1_1core_1_1cvmatrix__descriptor.html#abe29e1334e98f2581a7f3c4d2dba3211":[1,0,0,1,5,0],
 "classflair_1_1core_1_1cvmatrix__descriptor.html#af29d7a83feaaa169ba44719165b3f85b":[1,0,0,1,5,4],
-"classflair_1_1core_1_1io__data.html":[1,0,0,1,14],
-"classflair_1_1core_1_1io__data.html#a281fe62c2ab73385c87f74e53683dd5c":[1,0,0,1,14,8],
-"classflair_1_1core_1_1io__data.html#a355c0ba5812d0c5a60a07fcacc692d3e":[1,0,0,1,14,5],
-"classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e":[1,0,0,1,14,11],
-"classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47":[1,0,0,1,14,4],
-"classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a":[1,0,0,1,14,1],
-"classflair_1_1core_1_1io__data.html#a6bb0f9fd0e860684a091117e8949d7f7":[1,0,0,1,14,10],
-"classflair_1_1core_1_1io__data.html#a8f1ba8c576e0a94bb27bdf1b6d1f7d21":[1,0,0,1,14,0],
-"classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599":[1,0,0,1,14,3],
-"classflair_1_1core_1_1io__data.html#a98e657a0de938e3819054ef6b02299c8":[1,0,0,1,14,9],
-"classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2":[1,0,0,1,14,7],
-"classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10":[1,0,0,1,14,2],
-"classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d":[1,0,0,1,14,6],
+"classflair_1_1core_1_1io__data.html":[1,0,0,1,15],
+"classflair_1_1core_1_1io__data.html#a281fe62c2ab73385c87f74e53683dd5c":[1,0,0,1,15,8],
+"classflair_1_1core_1_1io__data.html#a355c0ba5812d0c5a60a07fcacc692d3e":[1,0,0,1,15,5],
+"classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e":[1,0,0,1,15,11],
+"classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47":[1,0,0,1,15,4],
+"classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a":[1,0,0,1,15,1],
+"classflair_1_1core_1_1io__data.html#a6bb0f9fd0e860684a091117e8949d7f7":[1,0,0,1,15,10],
+"classflair_1_1core_1_1io__data.html#a8f1ba8c576e0a94bb27bdf1b6d1f7d21":[1,0,0,1,15,0],
+"classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599":[1,0,0,1,15,3],
+"classflair_1_1core_1_1io__data.html#a98e657a0de938e3819054ef6b02299c8":[1,0,0,1,15,9],
+"classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2":[1,0,0,1,15,7],
+"classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10":[1,0,0,1,15,2],
+"classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d":[1,0,0,1,15,6],
 "classflair_1_1filter_1_1_ahrs.html":[1,0,0,2,0],
 "classflair_1_1filter_1_1_ahrs.html#a116d3f72561f63909a554f047786491e":[1,0,0,2,0,6],
@@ -238,16 +250,4 @@
 "classflair_1_1gui_1_1_label.html":[1,0,0,3,9],
 "classflair_1_1gui_1_1_label.html#a18a3061eb07a64a4ebe08ec53f97d8be":[1,0,0,3,9,2],
-"classflair_1_1gui_1_1_label.html#a3c6124811c5b57b71f83161f8d931abc":[1,0,0,3,9,1],
-"classflair_1_1gui_1_1_label.html#a9224ba06982b5441153cf2225013c95a":[1,0,0,3,9,0],
-"classflair_1_1gui_1_1_layout.html":[1,0,0,3,10],
-"classflair_1_1gui_1_1_layout.html#a114569847168fa89618e6b09cee23c8e":[1,0,0,3,10,4],
-"classflair_1_1gui_1_1_layout.html#a3f229d41a6747c1fd12cbe102d06b13c":[1,0,0,3,10,5],
-"classflair_1_1gui_1_1_layout.html#a6040365f1a8f79ad029c5f99e0414c51":[1,0,0,3,10,2],
-"classflair_1_1gui_1_1_layout.html#a7e3724c5fbceb2e24ff0df1ebfedc3ad":[1,0,0,3,10,3],
-"classflair_1_1gui_1_1_layout.html#aafea7ef30ae5a3f3d394559b0f3931b5":[1,0,0,3,10,1],
-"classflair_1_1gui_1_1_layout.html#ad6d4a13b128abbd64619fe90cbc44f46":[1,0,0,3,10,0],
-"classflair_1_1gui_1_1_layout_position.html":[1,0,0,3,11],
-"classflair_1_1gui_1_1_layout_position.html#a1fca2149b3c709f3f2172e8fea66b02d":[1,0,0,3,11,3],
-"classflair_1_1gui_1_1_layout_position.html#a766d122d2b123cf6b146daf527058df4":[1,0,0,3,11,2],
-"classflair_1_1gui_1_1_layout_position.html#a7f321233c0ec13034db703b71d612520":[1,0,0,3,11,4]
+"classflair_1_1gui_1_1_label.html#a3c6124811c5b57b71f83161f8d931abc":[1,0,0,3,9,1]
 };
Index: trunk/doc/Flair/navtreeindex4.js
===================================================================
--- trunk/doc/Flair/navtreeindex4.js	(revision 26)
+++ trunk/doc/Flair/navtreeindex4.js	(revision 27)
@@ -1,4 +1,16 @@
 var NAVTREEINDEX4 =
 {
+"classflair_1_1gui_1_1_label.html#a9224ba06982b5441153cf2225013c95a":[1,0,0,3,9,0],
+"classflair_1_1gui_1_1_layout.html":[1,0,0,3,10],
+"classflair_1_1gui_1_1_layout.html#a114569847168fa89618e6b09cee23c8e":[1,0,0,3,10,4],
+"classflair_1_1gui_1_1_layout.html#a3f229d41a6747c1fd12cbe102d06b13c":[1,0,0,3,10,5],
+"classflair_1_1gui_1_1_layout.html#a6040365f1a8f79ad029c5f99e0414c51":[1,0,0,3,10,2],
+"classflair_1_1gui_1_1_layout.html#a7e3724c5fbceb2e24ff0df1ebfedc3ad":[1,0,0,3,10,3],
+"classflair_1_1gui_1_1_layout.html#aafea7ef30ae5a3f3d394559b0f3931b5":[1,0,0,3,10,1],
+"classflair_1_1gui_1_1_layout.html#ad6d4a13b128abbd64619fe90cbc44f46":[1,0,0,3,10,0],
+"classflair_1_1gui_1_1_layout_position.html":[1,0,0,3,11],
+"classflair_1_1gui_1_1_layout_position.html#a1fca2149b3c709f3f2172e8fea66b02d":[1,0,0,3,11,3],
+"classflair_1_1gui_1_1_layout_position.html#a766d122d2b123cf6b146daf527058df4":[1,0,0,3,11,2],
+"classflair_1_1gui_1_1_layout_position.html#a7f321233c0ec13034db703b71d612520":[1,0,0,3,11,4],
 "classflair_1_1gui_1_1_layout_position.html#abfff9b4fd6670430e8bd94440370ee49":[1,0,0,3,11,1],
 "classflair_1_1gui_1_1_layout_position.html#ac47a69e6867c7a39e9cb91d4adc7ca7c":[1,0,0,3,11,0],
@@ -238,16 +250,4 @@
 "classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a22aadb26447d87b550b155a4d764fad0":[1,0,0,5,2,0,5],
 "classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a2fc01ec765ec0cb3dcc559126de20b30":[1,0,0,5,2,0,2],
-"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a30eb555794194c4b6ddeca10fd17ecc0":[1,0,0,5,2,0,8],
-"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a46c48bec0d282018b9d167eef7711b2c":[1,0,0,5,2,0,12],
-"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a74e8333ad11685ff3bdae589c8f6e34d":[1,0,0,5,2,0,13],
-"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a7c4f29407893c334a6cb7a87bf045c0d":[1,0,0,5,2,0,15],
-"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a7f034d1c5023a2e03223691748588744":[1,0,0,5,2,0,7],
-"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a811882fecd5c7618d7099ebbd39ea254":[1,0,0,5,2,0,14],
-"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a865da0aefc6b53ec8a0d6cecd5379daa":[1,0,0,5,2,0,6],
-"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a99938282f04071859941e18f16efcf42":[1,0,0,5,2,0,1],
-"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a9b6ddeba5b33e577c07c35d8505c6072":[1,0,0,5,2,0,4],
-"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051acef44b46f16ae8ecf664df4266ffdbf9":[1,0,0,5,2,0,3],
-"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051aea2b2676c28c0db26d39331a336c6b92":[1,0,0,5,2,0,0],
-"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051afc77a875abf95303d340624306d94baf":[1,0,0,5,2,0,10],
-"classflair_1_1sensor_1_1_emulated_controller.html#af7bcd67679646855b7f55b534621b004":[1,0,0,5,2,1]
+"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a30eb555794194c4b6ddeca10fd17ecc0":[1,0,0,5,2,0,8]
 };
Index: trunk/doc/Flair/navtreeindex5.js
===================================================================
--- trunk/doc/Flair/navtreeindex5.js	(revision 26)
+++ trunk/doc/Flair/navtreeindex5.js	(revision 27)
@@ -1,4 +1,16 @@
 var NAVTREEINDEX5 =
 {
+"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a46c48bec0d282018b9d167eef7711b2c":[1,0,0,5,2,0,12],
+"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a74e8333ad11685ff3bdae589c8f6e34d":[1,0,0,5,2,0,13],
+"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a7c4f29407893c334a6cb7a87bf045c0d":[1,0,0,5,2,0,15],
+"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a7f034d1c5023a2e03223691748588744":[1,0,0,5,2,0,7],
+"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a811882fecd5c7618d7099ebbd39ea254":[1,0,0,5,2,0,14],
+"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a865da0aefc6b53ec8a0d6cecd5379daa":[1,0,0,5,2,0,6],
+"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a99938282f04071859941e18f16efcf42":[1,0,0,5,2,0,1],
+"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051a9b6ddeba5b33e577c07c35d8505c6072":[1,0,0,5,2,0,4],
+"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051acef44b46f16ae8ecf664df4266ffdbf9":[1,0,0,5,2,0,3],
+"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051aea2b2676c28c0db26d39331a336c6b92":[1,0,0,5,2,0,0],
+"classflair_1_1sensor_1_1_emulated_controller.html#af77e801a251ecc3f5e4a46fb55eaf051afc77a875abf95303d340624306d94baf":[1,0,0,5,2,0,10],
+"classflair_1_1sensor_1_1_emulated_controller.html#af7bcd67679646855b7f55b534621b004":[1,0,0,5,2,1],
 "classflair_1_1sensor_1_1_flash_led_message.html":[1,0,0,5,3],
 "classflair_1_1sensor_1_1_flash_led_message.html#a367fde4136d68ef436843b0f4c75cc11":[1,0,0,5,3,4],
@@ -238,16 +250,4 @@
 "classflair_1_1sensor_1_1_v4_l_camera.html#a0cd0d589400e91a267e736577455a03f":[1,0,0,5,29,4],
 "classflair_1_1sensor_1_1_v4_l_camera.html#a17dd62aecb525f68c0cfb4ae6e4d372a":[1,0,0,5,29,1],
-"classflair_1_1sensor_1_1_v4_l_camera.html#a1f98212da6124f4da644880fc0f6239a":[1,0,0,5,29,5],
-"classflair_1_1sensor_1_1_v4_l_camera.html#a29862113a1cf3095a15e8f86e28c4a9e":[1,0,0,5,29,2],
-"classflair_1_1sensor_1_1_v4_l_camera.html#a6bd963d24efcd05a905cc801af8b91ae":[1,0,0,5,29,3],
-"classflair_1_1sensor_1_1_v4_l_camera.html#a7d8f738b2c011fb07a8b810358563613":[1,0,0,5,29,8],
-"classflair_1_1sensor_1_1_v4_l_camera.html#a91421cc842452513bae3ef4530043d69":[1,0,0,5,29,7],
-"classflair_1_1sensor_1_1_v4_l_camera.html#add3527b969ba1fb04f6852538627a087":[1,0,0,5,29,9],
-"classflair_1_1sensor_1_1_v4_l_camera.html#af2108dc32fd988eb33bf8a28e1c5a843":[1,0,0,5,29,6],
-"classflair_1_1sensor_1_1_v4_l_camera.html#afc966820fa4086f124383bf0bdfafc5f":[1,0,0,5,29,0],
-"classflair_1_1sensor_1_1_vrpn_client.html":[1,0,0,5,30],
-"classflair_1_1sensor_1_1_vrpn_client.html#a0f046b0ea0e4fe1509654e4149c7ce25":[1,0,0,5,30,6],
-"classflair_1_1sensor_1_1_vrpn_client.html#a4713769cce926d08978fb8bdb990e641":[1,0,0,5,30,1],
-"classflair_1_1sensor_1_1_vrpn_client.html#a692f54af97f509bd8ecf8d27d759101d":[1,0,0,5,30,0],
-"classflair_1_1sensor_1_1_vrpn_client.html#aa225221a811194704cf10b0726a1680d":[1,0,0,5,30,3]
+"classflair_1_1sensor_1_1_v4_l_camera.html#a1f98212da6124f4da644880fc0f6239a":[1,0,0,5,29,5]
 };
Index: trunk/doc/Flair/navtreeindex6.js
===================================================================
--- trunk/doc/Flair/navtreeindex6.js	(revision 26)
+++ trunk/doc/Flair/navtreeindex6.js	(revision 27)
@@ -1,4 +1,16 @@
 var NAVTREEINDEX6 =
 {
+"classflair_1_1sensor_1_1_v4_l_camera.html#a29862113a1cf3095a15e8f86e28c4a9e":[1,0,0,5,29,2],
+"classflair_1_1sensor_1_1_v4_l_camera.html#a6bd963d24efcd05a905cc801af8b91ae":[1,0,0,5,29,3],
+"classflair_1_1sensor_1_1_v4_l_camera.html#a7d8f738b2c011fb07a8b810358563613":[1,0,0,5,29,8],
+"classflair_1_1sensor_1_1_v4_l_camera.html#a91421cc842452513bae3ef4530043d69":[1,0,0,5,29,7],
+"classflair_1_1sensor_1_1_v4_l_camera.html#add3527b969ba1fb04f6852538627a087":[1,0,0,5,29,9],
+"classflair_1_1sensor_1_1_v4_l_camera.html#af2108dc32fd988eb33bf8a28e1c5a843":[1,0,0,5,29,6],
+"classflair_1_1sensor_1_1_v4_l_camera.html#afc966820fa4086f124383bf0bdfafc5f":[1,0,0,5,29,0],
+"classflair_1_1sensor_1_1_vrpn_client.html":[1,0,0,5,30],
+"classflair_1_1sensor_1_1_vrpn_client.html#a0f046b0ea0e4fe1509654e4149c7ce25":[1,0,0,5,30,6],
+"classflair_1_1sensor_1_1_vrpn_client.html#a4713769cce926d08978fb8bdb990e641":[1,0,0,5,30,1],
+"classflair_1_1sensor_1_1_vrpn_client.html#a692f54af97f509bd8ecf8d27d759101d":[1,0,0,5,30,0],
+"classflair_1_1sensor_1_1_vrpn_client.html#aa225221a811194704cf10b0726a1680d":[1,0,0,5,30,3],
 "classflair_1_1sensor_1_1_vrpn_client.html#acf82bb30ed4753183a3ddb8758d4a3b6":[1,0,0,5,30,4],
 "classflair_1_1sensor_1_1_vrpn_client.html#adf1f94c2a40092cf76cddf5cce9caae5":[1,0,0,5,30,5],
@@ -103,6 +115,6 @@
 "cvmatrix__descriptor_8h_source.html":[2,0,22],
 "files.html":[2,0],
+"functions.html":[1,3,0,0],
 "functions.html":[1,3,0],
-"functions.html":[1,3,0,0],
 "functions_b.html":[1,3,0,1],
 "functions_c.html":[1,3,0,2],
@@ -112,6 +124,6 @@
 "functions_eval.html":[1,3,4],
 "functions_f.html":[1,3,0,5],
+"functions_func.html":[1,3,1],
 "functions_func.html":[1,3,1,0],
-"functions_func.html":[1,3,1],
 "functions_func_b.html":[1,3,1,1],
 "functions_func_c.html":[1,3,1,2],
@@ -162,18 +174,18 @@
 "hierarchy.html":[1,2],
 "index.html":[],
-"io__data_8h.html":[2,0,45],
-"io__data_8h.html#a6dbece12f2117234500c91be48ea781c":[2,0,45,6],
-"io__data_8h.html#a74c64d35d845a87219d68d2ffaaac833":[2,0,45,9],
-"io__data_8h.html#a7a2cd054ab7f3308038a53882c7f4e7a":[2,0,45,8],
-"io__data_8h.html#ad87fcd9f0a37939dfec9611a248b4658":[2,0,45,7],
-"io__data_8h_source.html":[2,0,45],
+"io__data_8h.html":[2,0,46],
+"io__data_8h.html#a6dbece12f2117234500c91be48ea781c":[2,0,46,6],
+"io__data_8h.html#a74c64d35d845a87219d68d2ffaaac833":[2,0,46,9],
+"io__data_8h.html#a7a2cd054ab7f3308038a53882c7f4e7a":[2,0,46,8],
+"io__data_8h.html#ad87fcd9f0a37939dfec9611a248b4658":[2,0,46,7],
+"io__data_8h_source.html":[2,0,46],
+"namespaceflair.html":[0,0,0],
 "namespaceflair.html":[1,0,0],
-"namespaceflair.html":[0,0,0],
 "namespaceflair_1_1actuator.html":[1,0,0,0],
 "namespaceflair_1_1actuator.html":[0,0,0,0],
+"namespaceflair_1_1core.html":[0,0,0,1],
 "namespaceflair_1_1core.html":[1,0,0,1],
-"namespaceflair_1_1core.html":[0,0,0,1],
+"namespaceflair_1_1filter.html":[0,0,0,2],
 "namespaceflair_1_1filter.html":[1,0,0,2],
-"namespaceflair_1_1filter.html":[0,0,0,2],
 "namespaceflair_1_1gui.html":[1,0,0,3],
 "namespaceflair_1_1gui.html":[0,0,0,3],
Index: trunk/doc/Flair/search/all_1a.js
===================================================================
--- trunk/doc/Flair/search/all_1a.js	(revision 26)
+++ trunk/doc/Flair/search/all_1a.js	(revision 27)
@@ -31,4 +31,5 @@
   ['_7egeocoordinate',['~GeoCoordinate',['../classflair_1_1core_1_1_geo_coordinate.html#a2bb9ea66ede832b59e484ed4d3810770',1,'flair::core::GeoCoordinate']]],
   ['_7egps',['~Gps',['../classflair_1_1sensor_1_1_gps.html#a7d75b9b8ffeafd9d5062806e598398bd',1,'flair::sensor::Gps']]],
+  ['_7egpsdata',['~GpsData',['../classflair_1_1core_1_1_gps_data.html#a40703fd28dd1b6053df7292c222de5c8',1,'flair::core::GpsData']]],
   ['_7egridlayout',['~GridLayout',['../classflair_1_1gui_1_1_grid_layout.html#a688ff9f536c2c9e12f7ef845d176caa3',1,'flair::gui::GridLayout']]],
   ['_7egroupbox',['~GroupBox',['../classflair_1_1gui_1_1_group_box.html#a271493c0c9db0cb9e8f542efd281be60',1,'flair::gui::GroupBox']]],
Index: trunk/doc/Flair/search/all_4.js
===================================================================
--- trunk/doc/Flair/search/all_4.js	(revision 26)
+++ trunk/doc/Flair/search/all_4.js	(revision 27)
@@ -32,5 +32,5 @@
   ['elapsedusecs',['elapsedUSecs',['http://qt-project.org/doc/qt-4.8/qaudioinput.html#elapsedUSecs',0,'QAudioInput::elapsedUSecs()'],['http://qt-project.org/doc/qt-4.8/qaudiooutput.html#elapsedUSecs',0,'QAudioOutput::elapsedUSecs()']]],
   ['element',['Element',['http://qt-project.org/doc/qt-4.8/qpainterpath-element.html',0,'QPainterPath']]],
-  ['element',['Element',['../classflair_1_1core_1_1_ahrs_data.html#a0100cfbcaa8c292e53e165201a2d8e1f',1,'flair::core::AhrsData::Element()'],['../classflair_1_1core_1_1cvmatrix.html#a86646b6cf63734fc417414031374819d',1,'flair::core::cvmatrix::Element(uint32_t row, uint32_t col) const '],['../classflair_1_1core_1_1cvmatrix.html#accb5a54d77c4e1bdd3604087088bc2f0',1,'flair::core::cvmatrix::Element(uint32_t index) const '],['../classflair_1_1core_1_1_imu_data.html#a4f26aa0799e4156f3885a436a269d9c5',1,'flair::core::ImuData::Element()'],['http://qt-project.org/doc/qt-4.8/qwebhittestresult.html#element',0,'QWebHitTestResult::element()']]],
+  ['element',['Element',['../classflair_1_1core_1_1_ahrs_data.html#a0100cfbcaa8c292e53e165201a2d8e1f',1,'flair::core::AhrsData::Element()'],['../classflair_1_1core_1_1cvmatrix.html#a86646b6cf63734fc417414031374819d',1,'flair::core::cvmatrix::Element(uint32_t row, uint32_t col) const '],['../classflair_1_1core_1_1cvmatrix.html#accb5a54d77c4e1bdd3604087088bc2f0',1,'flair::core::cvmatrix::Element(uint32_t index) const '],['../classflair_1_1core_1_1_gps_data.html#a0deb3d08a943318fa2397f5d4ebbab41',1,'flair::core::GpsData::Element()'],['../classflair_1_1core_1_1_imu_data.html#a4f26aa0799e4156f3885a436a269d9c5',1,'flair::core::ImuData::Element()'],['http://qt-project.org/doc/qt-4.8/qwebhittestresult.html#element',0,'QWebHitTestResult::element()']]],
   ['elementat',['elementAt',['http://qt-project.org/doc/qt-4.8/qpainterpath.html#elementAt',0,'QPainterPath']]],
   ['elementbyid',['elementById',['http://qt-project.org/doc/qt-4.8/qdomdocument.html#elementById',0,'QDomDocument::elementById()'],['http://qt-project.org/doc/qt-4.8/qsimplexmlnodemodel.html#elementById',0,'QSimpleXmlNodeModel::elementById()'],['http://qt-project.org/doc/qt-4.8/qabstractxmlnodemodel.html#elementById',0,'QAbstractXmlNodeModel::elementById()']]],
Index: trunk/doc/Flair/search/all_6.js
===================================================================
--- trunk/doc/Flair/search/all_6.js	(revision 26)
+++ trunk/doc/Flair/search/all_6.js	(revision 27)
@@ -7,6 +7,6 @@
   ['generatedynamictexture',['generateDynamicTexture',['http://qt-project.org/doc/qt-4.8/qglpixelbuffer.html#generateDynamicTexture',0,'QGLPixelBuffer']]],
   ['generatefontdisplaylists',['generateFontDisplayLists',['http://qt-project.org/doc/qt-4.8/qglcontext-obsolete.html#generateFontDisplayLists',0,'QGLContext']]],
+  ['geocoordinate',['GeoCoordinate',['../classflair_1_1core_1_1_geo_coordinate.html',1,'flair::core']]],
   ['geocoordinate',['GeoCoordinate',['../classflair_1_1core_1_1_geo_coordinate.html#a56f7bc8a6a9ce8b9277a0823072c961f',1,'flair::core::GeoCoordinate::GeoCoordinate(const Object *parent, std::string name, const GeoCoordinate *point, int n=1)'],['../classflair_1_1core_1_1_geo_coordinate.html#abdfc44865835f881871e83064a172459',1,'flair::core::GeoCoordinate::GeoCoordinate(const Object *parent, std::string name, double latitude, double longitude, double altitude, int n=1)']]],
-  ['geocoordinate',['GeoCoordinate',['../classflair_1_1core_1_1_geo_coordinate.html',1,'flair::core']]],
   ['geocoordinate_2eh',['GeoCoordinate.h',['../_geo_coordinate_8h.html',1,'']]],
   ['geometrieschanged',['geometriesChanged',['http://qt-project.org/doc/qt-4.8/qheaderview.html#geometriesChanged',0,'QHeaderView']]],
@@ -218,12 +218,15 @@
   ['glyphindexesforchars',['glyphIndexesForChars',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForChars',0,'QRawFont']]],
   ['glyphindexesforstring',['glyphIndexesForString',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForString',0,'QRawFont']]],
+  ['glyphmetrics',['glyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()']]],
   ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html',0,'QAbstractFontEngine']]],
-  ['glyphmetrics',['glyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()']]],
   ['glyphruns',['glyphRuns',['http://qt-project.org/doc/qt-4.8/qtextfragment.html#glyphRuns',0,'QTextFragment::glyphRuns()'],['http://qt-project.org/doc/qt-4.8/qtextlayout.html#glyphRuns',0,'QTextLayout::glyphRuns()']]],
   ['gotfocus',['gotFocus',['http://qt-project.org/doc/qt-4.8/qfocusevent.html#gotFocus',0,'QFocusEvent']]],
   ['gotoitem',['goToItem',['http://qt-project.org/doc/qt-4.8/qwebhistory.html#goToItem',0,'QWebHistory']]],
+  ['gps',['Gps',['../classflair_1_1sensor_1_1_gps.html',1,'flair::sensor']]],
   ['gps',['Gps',['../classflair_1_1sensor_1_1_gps.html#a1a41dcb0713df729ed0e9bad3c0a0a23',1,'flair::sensor::Gps::Gps(const core::FrameworkManager *parent, std::string name, NMEAFlags_t NMEAFlags)'],['../classflair_1_1sensor_1_1_gps.html#a3369bac80ec5316e09a3de7e5ba03c26a06960407a35b206422d40932f13c8d91',1,'flair::sensor::Gps::Gps()']]],
-  ['gps',['Gps',['../classflair_1_1sensor_1_1_gps.html',1,'flair::sensor']]],
   ['gps_2eh',['Gps.h',['../_gps_8h.html',1,'']]],
+  ['gpsdata',['GpsData',['../classflair_1_1core_1_1_gps_data.html',1,'flair::core']]],
+  ['gpsdata',['GpsData',['../classflair_1_1core_1_1_gps_data.html#a1e4cb1b1c7c97ada454ae1ed251079e7',1,'flair::core::GpsData']]],
+  ['gpsdata_2eh',['GpsData.h',['../_gps_data_8h.html',1,'']]],
   ['grabframebuffer',['grabFrameBuffer',['http://qt-project.org/doc/qt-4.8/qglwidget.html#grabFrameBuffer',0,'QGLWidget']]],
   ['grabgesture',['grabGesture',['http://qt-project.org/doc/qt-4.8/qwidget.html#grabGesture',0,'QWidget::grabGesture()'],['http://qt-project.org/doc/qt-4.8/qgraphicsobject.html#grabGesture',0,'QGraphicsObject::grabGesture()']]],
@@ -257,6 +260,6 @@
   ['gridy',['gridY',['http://qt-project.org/doc/qt-4.8/q3iconview.html#gridY-prop',0,'Q3IconView::gridY()'],['http://qt-project.org/doc/qt-4.8/q3iconview.html#gridY-prop',0,'Q3IconView::gridY() const']]],
   ['group',['group',['http://qt-project.org/doc/qt-4.8/qurlinfo.html#group',0,'QUrlInfo::group()'],['http://qt-project.org/doc/qt-4.8/qundoview.html#group',0,'QUndoView::group()'],['http://qt-project.org/doc/qt-4.8/qfileinfo.html#group',0,'QFileInfo::group()'],['http://qt-project.org/doc/qt-4.8/qabstractbutton.html#group',0,'QAbstractButton::group()'],['http://qt-project.org/doc/qt-4.8/qabstractanimation.html#group',0,'QAbstractAnimation::group()'],['http://qt-project.org/doc/qt-4.8/qgraphicsitem.html#group',0,'QGraphicsItem::group()'],['http://qt-project.org/doc/qt-4.8/qdesignercustomwidgetinterface.html#group',0,'QDesignerCustomWidgetInterface::group()'],['http://qt-project.org/doc/qt-4.8/qsettings.html#group',0,'QSettings::group()']]],
+  ['groupbox',['GroupBox',['../classflair_1_1gui_1_1_group_box.html#afdf8a52639dab292d16cffc286ad1036',1,'flair::gui::GroupBox']]],
   ['groupbox',['GroupBox',['../classflair_1_1gui_1_1_group_box.html',1,'flair::gui']]],
-  ['groupbox',['GroupBox',['../classflair_1_1gui_1_1_group_box.html#afdf8a52639dab292d16cffc286ad1036',1,'flair::gui::GroupBox']]],
   ['groupbox_2eh',['GroupBox.h',['../_group_box_8h.html',1,'']]],
   ['groupid',['groupId',['http://qt-project.org/doc/qt-4.8/qfileinfo.html#groupId',0,'QFileInfo']]],
@@ -267,6 +270,6 @@
   ['gx3_5f25_5fahrs',['Gx3_25_ahrs',['../classflair_1_1filter_1_1_gx3__25__ahrs.html',1,'flair::filter']]],
   ['gx3_5f25_5fahrs_2eh',['Gx3_25_ahrs.h',['../_gx3__25__ahrs_8h.html',1,'']]],
+  ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html',1,'flair::sensor']]],
   ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html#aec8d507d7e0042553df667e6179c7558',1,'flair::sensor::Gx3_25_imu']]],
-  ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html',1,'flair::sensor']]],
   ['gx3_5f25_5fimu_2eh',['Gx3_25_imu.h',['../_gx3__25__imu_8h.html',1,'']]]
 ];
Index: trunk/doc/Flair/search/all_f.js
===================================================================
--- trunk/doc/Flair/search/all_f.js	(revision 26)
+++ trunk/doc/Flair/search/all_f.js	(revision 27)
@@ -167,5 +167,5 @@
   ['platformwindowformat',['platformWindowFormat',['http://qt-project.org/doc/qt-4.8/qwidget.html#platformWindowFormat',0,'QWidget']]],
   ['play',['play',['http://qt-project.org/doc/qt-4.8/phonon-videoplayer.html#play',0,'Phonon::VideoPlayer::play(const Phonon::MediaSource &amp;source)'],['http://qt-project.org/doc/qt-4.8/phonon-videoplayer.html#play-2',0,'Phonon::VideoPlayer::play()'],['http://qt-project.org/doc/qt-4.8/phonon-mediaobject.html#play',0,'Phonon::MediaObject::play()'],['http://qt-project.org/doc/qt-4.8/qpicture.html#play',0,'QPicture::play()'],['http://qt-project.org/doc/qt-4.8/qsound.html#play',0,'QSound::play(const QString &amp;filename)'],['http://qt-project.org/doc/qt-4.8/qsound.html#play-2',0,'QSound::play()']]],
-  ['plotabledata_5ft',['PlotableData_t',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe',1,'flair::core::AhrsData::PlotableData_t()'],['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be',1,'flair::core::ImuData::PlotableData_t()']]],
+  ['plotabledata_5ft',['PlotableData_t',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe',1,'flair::core::AhrsData::PlotableData_t()'],['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33d',1,'flair::core::GpsData::PlotableData_t()'],['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be',1,'flair::core::ImuData::PlotableData_t()']]],
   ['plugin',['Plugin',['http://qt-project.org/doc/qt-4.8/qwebpluginfactory-plugin.html',0,'QWebPluginFactory']]],
   ['pluginfactory',['pluginFactory',['http://qt-project.org/doc/qt-4.8/qwebpage.html#pluginFactory',0,'QWebPage']]],
Index: trunk/doc/Flair/search/classes_13.js
===================================================================
--- trunk/doc/Flair/search/classes_13.js	(revision 26)
+++ trunk/doc/Flair/search/classes_13.js	(revision 27)
@@ -13,7 +13,8 @@
   ['trajectorygenerator2dcircle',['TrajectoryGenerator2DCircle',['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html',1,'flair::filter']]],
   ['type',['Type',['../classflair_1_1core_1_1_ahrs_data_1_1_type.html',1,'flair::core::AhrsData']]],
+  ['type',['Type',['../classflair_1_1core_1_1_gps_data_1_1_type.html',1,'flair::core::GpsData']]],
+  ['type',['Type',['../classflair_1_1core_1_1_imu_data_1_1_type.html',1,'flair::core::ImuData']]],
   ['type',['Type',['../classflair_1_1core_1_1cvmatrix_1_1_type.html',1,'flair::core::cvmatrix']]],
-  ['type',['Type',['../classflair_1_1core_1_1cvimage_1_1_type.html',1,'flair::core::cvimage']]],
   ['type',['Type',['../classflair_1_1core_1_1_geo_coordinate_1_1_type.html',1,'flair::core::GeoCoordinate']]],
-  ['type',['Type',['../classflair_1_1core_1_1_imu_data_1_1_type.html',1,'flair::core::ImuData']]]
+  ['type',['Type',['../classflair_1_1core_1_1cvimage_1_1_type.html',1,'flair::core::cvimage']]]
 ];
Index: trunk/doc/Flair/search/classes_6.js
===================================================================
--- trunk/doc/Flair/search/classes_6.js	(revision 26)
+++ trunk/doc/Flair/search/classes_6.js	(revision 27)
@@ -4,4 +4,5 @@
   ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html',0,'QAbstractFontEngine']]],
   ['gps',['Gps',['../classflair_1_1sensor_1_1_gps.html',1,'flair::sensor']]],
+  ['gpsdata',['GpsData',['../classflair_1_1core_1_1_gps_data.html',1,'flair::core']]],
   ['gridlayout',['GridLayout',['../classflair_1_1gui_1_1_grid_layout.html',1,'flair::gui']]],
   ['groupbox',['GroupBox',['../classflair_1_1gui_1_1_group_box.html',1,'flair::gui']]],
Index: trunk/doc/Flair/search/enums_4.js
===================================================================
--- trunk/doc/Flair/search/enums_4.js	(revision 26)
+++ trunk/doc/Flair/search/enums_4.js	(revision 27)
@@ -1,4 +1,4 @@
 var searchData=
 [
-  ['plotabledata_5ft',['PlotableData_t',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe',1,'flair::core::AhrsData::PlotableData_t()'],['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be',1,'flair::core::ImuData::PlotableData_t()']]]
+  ['plotabledata_5ft',['PlotableData_t',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfe',1,'flair::core::AhrsData::PlotableData_t()'],['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33d',1,'flair::core::GpsData::PlotableData_t()'],['../classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be',1,'flair::core::ImuData::PlotableData_t()']]]
 ];
